View Issue Details

IDProjectCategoryView StatusLast Update
0029963FPCPackagespublic2017-07-18 09:23
ReporterThaddy de KoningAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSwindowsOS Versionall
Product Version3.1.1Product Build33419 
Target Version3.2.0Fixed in Version3.1.1 
Summary0029963: GetConsoleWindow missing from windows unit.
DescriptionThe winapi GetConsoleWindow is missing:

function GetConsoleWindow:THandle;stdcall;external 'kernel32.dll' name 'GetConsoleWindow';
Steps To Reproduceuse w/o above declaration
Additional InformationExists since win2000
TagsNo tags attached.
Fixed in Revision36742
FPCOldBugId
FPCTarget
Attached Files

Activities

Marco van de Voort

2016-04-05 13:07

manager   ~0091754

It is not missing from the windows unit but part of a different header (wincon.h). Does _delphi_ have it in the windows unit? If not I rather have a wincon unit in winunits-base contain this.

Thaddy de Koning

2016-04-05 14:30

reporter   ~0091756

Last edited: 2016-04-05 14:35

View 4 revisions

It is not present in all delphi versions. e.g. not in D7.
Wincon.h translation is explicitly part of windows.pas and winapi.windows.pas according to the embarcadero unit headers and delphi declares indeed most of wincon.h in windows.pas.

I would suggest to add it to the windows unit. In that light it may be an oversight in Delphi as well, or they know of a problem I am not aware of. (Delphi's headers are for the most part, like ours, machine translated and manually modified when needed). Or they simply didn't bother to redo things properly.

Marco van de Voort

2016-04-05 16:04

manager   ~0091764

Last edited: 2016-04-05 16:05

View 2 revisions

Well I saw it is included in windows.h. Anyway, Delphi compatibility is King, so it will be in windows unit, period. But I'll try to do a more complete translation in the weekend and do it in a standalone .inc file so it can be moved easily.(and for now include that in windows.pp)

Michael Van Canneyt

2017-07-18 09:23

administrator   ~0101754

Added all missing functions/structures from wincon.h

Issue History

Date Modified Username Field Change
2016-04-04 11:23 Thaddy de Koning New Issue
2016-04-05 13:07 Marco van de Voort Note Added: 0091754
2016-04-05 14:30 Thaddy de Koning Note Added: 0091756
2016-04-05 14:32 Thaddy de Koning Note Edited: 0091756 View Revisions
2016-04-05 14:34 Thaddy de Koning Note Edited: 0091756 View Revisions
2016-04-05 14:35 Thaddy de Koning Note Edited: 0091756 View Revisions
2016-04-05 16:04 Marco van de Voort Note Added: 0091764
2016-04-05 16:05 Marco van de Voort Note Edited: 0091764 View Revisions
2017-07-18 09:23 Michael Van Canneyt Fixed in Revision => 36742
2017-07-18 09:23 Michael Van Canneyt Note Added: 0101754
2017-07-18 09:23 Michael Van Canneyt Status new => resolved
2017-07-18 09:23 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-18 09:23 Michael Van Canneyt Resolution open => fixed
2017-07-18 09:23 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-07-18 09:23 Michael Van Canneyt Target Version => 3.2.0